Update a file
curl --request PATCH \
--url https://api.egp.scale.com/v4/beta/files/{file_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{
"tags": {}
}'import requests
url = "https://api.egp.scale.com/v4/beta/files/{file_id}"
payload = { "tags": {} }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({tags: {}})
};
fetch('https://api.egp.scale.com/v4/beta/files/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"size": 123,
"md5_checksum": "<string>",
"filename": "<string>",
"mime_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "<string>",
"type": "user",
"object": "identity"
},
"object": "file",
"tags": {},
"duration_seconds": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Beta
Update a file
Update a file’s mutable metadata by id.
Only the file’s tags can be modified; filename, content, size, and other
attributes are immutable through this endpoint. The supplied tags replace the
file’s existing tags. Returns the updated file metadata.
PATCH
/
v4
/
beta
/
files
/
{file_id}
Update a file
Authorizations
Headers
Path Parameters
Body
application/json
Response
Successful Response
The unique identifier of the entity.
The date and time when the entity was created in ISO format.
The identity that created the entity.
Show child attributes
Show child attributes
Allowed value:
"file"
